﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;
using System.Collections.ObjectModel;

namespace SilverlightApplication75
{
	public partial class MainPage : UserControl
	{
        private ObservableCollection<Person> persons = new ObservableCollection<Person>();
		public MainPage()
		{
			// Required to initialize variables
			InitializeComponent();
            this.CreateDataSource(10);
            this.radGridView.ItemsSource = this.persons;
		}
        private void CreateDataSource(int count)
        {
            for (int i = 0; i < count; i++)
            {
                persons.Add(new Person
                {
                    FirstName = "Joe " + i,
                    LastName = "Rockhead",
                    Age = (i + 1) * 15,
                    BirthDay = DateTime.Today.AddDays(i)
                });
            }
        }

        private void radGridView_CellValidating(object sender, GridViewCellValidatingEventArgs e)
        {
            e.IsValid = false;
            e.ErrorMessage = "REQUIRED";
        }
	}
}